﻿@model MovieViewModel
@inject MovieViewModel model

    @{
        ViewData["Title"] = "Add Movie";
    }

    <h2>@ViewData["Title"]</h2>

    <div class="row">
        <section>
            <form asp-controller="Movie" asp-action="AddMovie" method="post">
                <div class="col-md-6">
                    <h4>Add new movie to the database.</h4>
                    <hr />
                    <div asp-validation-summary="All" class="text-danger"></div>
                    <div class="form-group">
                        <label asp-for="@Model.Title">Title<span class="text-danger"> - required</span></label>
                        <input asp-for="@Model.Title" class="form-control" />
                        <span asp-validation-for="@Model.Title" class="text-danger"></span>
                    </div>
                    <div class="form-group">
                        <label asp-for="@Model.ReleaseDate">Release Date<span class="text-danger"> - required</span></label>
                        <input asp-for="@Model.ReleaseDate" class="form-control" />
                        <span asp-validation-for="@Model.ReleaseDate" class="text-danger"></span>
                    </div>
                    <div class="form-group">
                        <label asp-for="@Model.Duration">Duration<span class="text-danger"> - required</span></label>
                        <input asp-for="@Model.Duration" class="form-control" />
                        <span asp-validation-for="@Model.Duration" class="text-danger"></span>
                    </div>
                    <div class="form-group">
                        <label asp-for="@Model.Rating">Rating</label>
                        <input asp-for="@Model.Rating" class="form-control" />
                        <span asp-validation-for="@Model.Rating" class="text-danger"></span>
                    </div>
                    <div class="form-group">
                        <label asp-for="@Model.MovieGenres">Genres</label>
                        <select asp-for="@Model.MovieGenres" asp-items="model.GenresList" multiple="multiple" class="form-control" size="6"></select>
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="form-group">
                        <label asp-for="@Model.Director"></label>
                        <div class="row">
                            <div class="col-md-6">
                                <label asp-for="@Model.Director.FirstName"><span class="text-muted">First name</span></label>
                                <input asp-for="@Model.Director.FirstName" class="form-control" />
                                <span asp-validation-for="@Model.Director.FirstName" class="text-danger"></span>
                            </div>
                            <div class="col-md-6">
                                <label asp-for="@Model.Director.LastName"><span class="text-muted">Last name</span></label>
                                <input asp-for="@Model.Director.LastName" class="form-control" />
                                <span asp-validation-for="@Model.Director.LastName" class="text-danger"></span>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label asp-for="@Model.Actors"></label>
                        @for (int i = 0; i < 3; i++)
                        {
                            <div class="row">
                                <div class="col-md-4">
                                    <label asp-for="@Model.Actors[i].FirstName"><span class="text-muted">First name</span></label>
                                    <input type="text" asp-for="@Model.Actors[i].FirstName" class="form-control" />
                                    <span asp-validation-for="@Model.Actors[i].FirstName" class="text-danger"></span>
                                </div>
                                <div class="col-md-4">
                                    <label asp-for="@Model.Actors[i].LastName"><span class="text-muted">Last name</span></label>
                                    <input type="text" asp-for="@Model.Actors[i].LastName" class="form-control" />
                                    <span asp-validation-for="@Model.Director.LastName" class="text-danger"></span>
                                </div>
                                <div class="col-md-4">
                                    <label asp-for="@Model.Actors[i].Birthday"><span class="text-muted">Birthday</span></label>
                                    <input type="date" asp-for="@Model.Actors[i].Birthday" class="form-control" />
                                    <span asp-validation-for="@Model.Actors[i].Birthday" class="text-danger"></span>
                                </div>
                            </div> <br />
                        }
                    </div>
                    <div class="form-group">
                        <label asp-for="@Model.Preview"></label>
                        <textarea asp-for="@Model.Preview.Content" rows="5" class="form-control"></textarea>
                        <span asp-validation-for="@Model.Preview.Content" class="text-danger"></span>
                    </div>
                    <div class="form-group">
                        <button type="submit" class="btn btn-success">Add Movie</button>
                    </div>
                </div>
            </form>
        </section>
    </div>

    @section Scripts {
        @await Html.PartialAsync("_ValidationScriptsPartial")
    }
